PPSPYAPI Platform
EN / 中文
API REFERENCE

Monitor Task Daily Overview API

POST/open-api/v1/ad-monitor-task/ad-daily-overview
·api.ppspy.com
Data and monitoring usage rules

Points Consumption Rules: 1. Retrieving a Shopify data result consumes 1 data, while retrieving an ad library data result consumes 2 data. Retrieving additional data details for a data result does not consume data. 2. Ad monitoring and sales monitoring: Each monitoring session costs $1/month. Each monitoring session is valid for one month and automatically expires after one month. Deleting a monitoring session does not restore the monitoring session, so please delete with caution. Monitoring sessions can be accessed at any time and are unlimited.

Request headers

AUTHORIZATIONAuthorization: {API Key}
CONTENT-TYPEapplication/json
ACCEPTapplication/json

Request example

cURL
curl --location --request POST 'https://api.ppspy.com/open-api/v1/ad-monitor-task/ad-daily-overview' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'Authorization: {API Key}' \
--data-raw '{
    "task_id": "902175d02614903e4944dfdfe85bbb4d",
    "date": 1761264000
}'

Request parameters 3 fields

Pass each parameter in its specified location.

Parameter Type Description
body
body · optional
object | none
» task_id
body · required
string Monitor Task ID | none
» date
body · required
integer Query Date | UTC timestamp in seconds.

Response example

Response · JSON
{
    "code": 200,
    "message": "success",
    "data": {
        "date": 1761264000,
        "ad_total_count": 51159,
        "ad_active_count": 2992,
        "ad_new_count": 0,
        "landing_page_total_count": 8413,
        "landing_page_new_count": 0,
        "ad_product_total_count": 151,
        "ad_product_active_count": 45,
        "ad_product_new_count": 0
    },
    "credits": {
        "remaining_credits": 745,
        "consumed_credits": 0,
        "total_credits": 745
    }
}
Example data from the existing documentation

Response structure

Name Type Required Constraints Display Name Description
» code integer true none Business status code
» message string true none Response Message none
» data object true none Response Data none
»» date integer true none Date UTC timestamp in seconds.
»» ad_total_count integer¦null true none Total Ad Count none
»» ad_active_count integer¦null true none Active Ad Count none
»» ad_new_count integer¦null true none New Ad Count none
»» landing_page_total_count integer¦null true none Total Landing Page Count none
»» landing_page_new_count integer¦null true none New Landing Page Count none
»» ad_product_total_count integer¦null true none Total Ad Product Count none
»» ad_product_new_count integer¦null true none New Ad Product Count none
» credits object true none Credits information Credits information for the current API request
»» remaining_credits integer true none Remaining credits Remaining credits after this request
»» consumed_credits integer true none Consumed credits Credits consumed by this request
»» total_credits integer true none Total credits Total credits of the current credits type
Search the existing endpoint names and paths